Skip to main content
`Ctrl`+`K`

# PetscFortranCallbackGetSizes

get sizes of class and subtype pointer arrays

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscFortranCallbackGetSizes(PetscClassId classid, PetscFortranCallbackId *numbase, PetscFortranCallbackId *numsubtype)

Collective, No Fortran Support

## Input Parameter

- classid - class Id

## Output Parameters

- numbase - number of registered class callbacks

- numsubtype - max number of registered subtype callbacks

## See Also

`PetscFortranCallbackRegister()`, `PetscObjectCopyFortranFunctionPointers()`, `PetscObjectSetFortranCallback()`, `PetscObjectGetFortranCallback()`

## Level

developer

## Location

src/sys/objects/fcallback.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages